<template>
  <div class="show-sub-categories">
    <div
      v-for="(productsSubCategory, index) in productsSubCategories"
      :key="index"
      class="sub-categories"
    >
      <SubCategoriesItem
        :productsSubCategory="productsSubCategory"
        @show-this-sub-category-products-list="goToThisCategoryProductList"
      />
    </div>
  </div>
</template>

<script>
import SubCategoriesItem from "./SubCategoriesItem.vue";

export default {
  name: "SubCategoriesBar",
  components: {
    SubCategoriesItem
  },
  props: {
    productsSubCategories: {
      propType: Array,
      required: true
    }
  },
  data() {
    return {};
  },

  methods: {
    goToThisCategoryProductList(searchedSubCategory) {
      this.$emit("show-this-sub-category-products-list", searchedSubCategory);
    }
  }
};
</script>

<style scoped>
.show-sub-categories {
  display: flex;
  justify-content: space-around;
  padding: 20px;
}
</style>